Index: squid/src/fs/coss/store_io_coss.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/fs/coss/store_io_coss.c,v
retrieving revision 1.1.4.8.2.3
retrieving revision 1.1.4.8.2.4
diff -u -r1.1.4.8.2.3 -r1.1.4.8.2.4
--- squid/src/fs/coss/store_io_coss.c	2 May 2000 22:50:29 -0000	1.1.4.8.2.3
+++ squid/src/fs/coss/store_io_coss.c	14 May 2000 23:22:20 -0000	1.1.4.8.2.4
@@ -39,13 +39,13 @@
 static DWCB storeCossWriteMemBufDone;
 static DRCB storeCossReadDone;
 static void storeCossIOCallback(storeIOState * sio, int errflag);
-static char *storeCossMemPointerFromDiskOffset(SwapDir *SD, size_t offset, CossMemBuf **mb);
-static void storeCossMemBufLock(SwapDir *SD, storeIOState *e);
-static void storeCossMemBufUnlock(SwapDir *SD, storeIOState *e);
-static void storeCossWriteMemBuf(SwapDir *SD,CossMemBuf *t);
+static char *storeCossMemPointerFromDiskOffset(SwapDir * SD, size_t offset, CossMemBuf ** mb);
+static void storeCossMemBufLock(SwapDir * SD, storeIOState * e);
+static void storeCossMemBufUnlock(SwapDir * SD, storeIOState * e);
+static void storeCossWriteMemBuf(SwapDir * SD, CossMemBuf * t);
 static void storeCossWriteMemBufDone(int fd, int errflag, size_t len, void *my_data);
-static CossMemBuf *storeCossCreateMemBuf(SwapDir *SD, size_t start,
-  sfileno curfn, int *collision);
+static CossMemBuf *storeCossCreateMemBuf(SwapDir * SD, size_t start,
+    sfileno curfn, int *collision);
 static void storeCossIOFreeEntry(void *, int);
 static void storeCossMembufFree(void *, int);
 
@@ -59,68 +59,71 @@
  * -- Adrian
  */
 off_t
-storeCossAllocate(SwapDir *SD, const StoreEntry *e, int which)
+storeCossAllocate(SwapDir * SD, const StoreEntry * e, int which)
 {
-    CossInfo *cs = (CossInfo *)SD->fsdata;
+    CossInfo *cs = (CossInfo *) SD->fsdata;
     CossMemBuf *newmb;
     off_t retofs;
     size_t allocsize;
     int coll = 0;
     sfileno checkf;
 
-     /* Make sure we chcek collisions if reallocating */
+    /* Make sure we chcek collisions if reallocating */
     if (which == COSS_ALLOC_REALLOC)
 	checkf = e->swap_filen;
     else
 	checkf = -1;
 
-    retofs = e->swap_filen; /* Just for defaults */
+    retofs = e->swap_filen;	/* Just for defaults */
 
     if (e->swap_file_sz > 0)
-        allocsize = e->swap_file_sz;
+	allocsize = e->swap_file_sz;
     else
-        allocsize = objectLen(e) + e->mem_obj->swap_hdr_sz;
+	allocsize = objectLen(e) + e->mem_obj->swap_hdr_sz;
 
     if (which != COSS_ALLOC_NOTIFY) {
-        if ((cs->current_offset + allocsize) > (SD->max_size << 10)) {
-            // tried to allocate past the end of the disk, so wrap
-            // back to the beginning
-            cs->current_membuf->flags.full = 1;
-            cs->current_membuf->diskend = cs->current_offset-1;
-	    cs->current_offset = 0; // wrap back to beginning
-            newmb = storeCossCreateMemBuf(SD, 0, checkf, &coll);
-            cs->current_membuf = newmb;
-        } else if ((cs->current_offset + allocsize) > cs->current_membuf->diskend) {
-            cs->current_membuf->flags.full = 1;
-            cs->current_membuf->diskend = cs->current_offset-1;
-            newmb = storeCossCreateMemBuf(SD, cs->current_offset,
-              checkf, &coll);
-            cs->current_membuf = newmb;
+	if ((cs->current_offset + allocsize) > (SD->max_size << 10)) {
+	    /*
+	     * tried to allocate past the end of the disk, so wrap
+	     * back to the beginning
+	     */
+	    cs->current_membuf->flags.full = 1;
+	    cs->current_membuf->diskend = cs->current_offset - 1;
+	    cs->current_offset = 0;	/* wrap back to beginning */
+
+	    newmb = storeCossCreateMemBuf(SD, 0, checkf, &coll);
+	    cs->current_membuf = newmb;
+	} else if ((cs->current_offset + allocsize) > cs->current_membuf->diskend) {
+	    cs->current_membuf->flags.full = 1;
+	    cs->current_membuf->diskend = cs->current_offset - 1;
+	    newmb = storeCossCreateMemBuf(SD, cs->current_offset,
+		checkf, &coll);
+	    cs->current_membuf = newmb;
+	}
+	if (coll == 0) {
+	    retofs = cs->current_offset;
+	} else {
+	    debug(81, 3) ("storeCossAllocate: Collision\n");
 	}
-        if (coll == 0) {
-            retofs = cs->current_offset;
-        } else {
-            debug(81, 3) ("storeCossAllocate: Collision\n");
-        }
     }
     if (coll == 0) {
-        cs->current_offset += allocsize;
-        return retofs;
+	cs->current_offset += allocsize;
+	return retofs;
     } else {
-        return -1;
+	return -1;
     }
 }
 
 void
-storeCossUnlink(SwapDir *SD, StoreEntry *e)
+storeCossUnlink(SwapDir * SD, StoreEntry * e)
 {
     debug(81, 3) ("storeCossUnlink: offset %d\n", e->swap_filen);
-    dlinkDelete(&e->repl.lru, &SD->repl.lru.list);
+    storeCossRemove(SD, e);
 }
 
 
 storeIOState *
-storeCossCreate(SwapDir *SD, StoreEntry *e, STFNCB *file_callback, STIOCB *callback, void *callback_data)
+storeCossCreate(SwapDir * SD, StoreEntry * e, STFNCB * file_callback, STIOCB * callback, void *callback_data)
 {
     CossState *cstate;
     storeIOState *sio;
@@ -144,30 +147,30 @@
     sio->callback = callback;
     sio->callback_data = callback_data;
     cbdataLock(callback_data);
-    sio->e = (StoreEntry *)e;
-    sio->st_size = -1; // we won't know this until we read the metadata
+    sio->e = (StoreEntry *) e;
+    sio->st_size = -1;		/* we won't know this until we read the metadata */
 
     cstate->flags.writing = 0;
     cstate->flags.reading = 0;
     cstate->readbuffer = NULL;
     cstate->reqdiskoffset = -1;
 
-    /* Now add it into the LRU */
-    dlinkAdd(e, &e->repl.lru, &SD->repl.lru.list);
+    /* Now add it into the index list */
+    storeCossAdd(SD, e);
 
     storeCossMemBufLock(SD, sio);
     return sio;
 }
 
 storeIOState *
-storeCossOpen(SwapDir *SD, StoreEntry *e, STFNCB * file_callback,
-  STIOCB * callback, void *callback_data)
+storeCossOpen(SwapDir * SD, StoreEntry * e, STFNCB * file_callback,
+    STIOCB * callback, void *callback_data)
 {
     storeIOState *sio;
     char *p;
     CossState *cstate;
     sfileno f = e->swap_filen;
-    CossInfo *cs = (CossInfo *)SD->fsdata;
+    CossInfo *cs = (CossInfo *) SD->fsdata;
 
     debug(81, 3) ("storeCossOpen: offset %d\n", f);
 
@@ -192,71 +195,71 @@
     cstate->readbuffer = NULL;
     cstate->reqdiskoffset = -1;
     p = storeCossMemPointerFromDiskOffset(SD, f, NULL);
-    // make local copy so we don't have to lock membuf
+    /* make local copy so we don't have to lock membuf */
     if (p) {
-        cstate->readbuffer = xmalloc(sio->st_size);
-        memcpy(cstate->readbuffer, p, sio->st_size);
+	cstate->readbuffer = xmalloc(sio->st_size);
+	memcpy(cstate->readbuffer, p, sio->st_size);
     } else {
-        /* Do the allocation */
+	/* Do the allocation */
 	/* this is the first time we've been called on a new sio
-           read the whole object into memory, then return the 
-           requested amount
-         */
-        /*
-         * This bit of code actually does the LRU disk thing - we realloc
-         * a place for the object here, and the file_read() reads the object
-         * into the cossmembuf for later writing ..
-         */
-        cstate->reqdiskoffset = sio->swap_filen;
-        sio->swap_filen = -1;
-        sio->swap_filen = storeCossAllocate(SD, e, COSS_ALLOC_REALLOC);
+	 * read the whole object into memory, then return the 
+	 * requested amount
+	 */
+	/*
+	 * This bit of code actually does the LRU disk thing - we realloc
+	 * a place for the object here, and the file_read() reads the object
+	 * into the cossmembuf for later writing ..
+	 */
+	cstate->reqdiskoffset = sio->swap_filen;
+	sio->swap_filen = -1;
+	sio->swap_filen = storeCossAllocate(SD, e, COSS_ALLOC_REALLOC);
 	if (sio->swap_filen == -1) {
-            /* We have to clean up neatly .. */
+	    /* We have to clean up neatly .. */
 	    cbdataFree(sio);
 	    cs->numcollisions++;
 	    debug(81, 2) ("storeCossOpen: Reallocation of %d/%d failed\n", e->swap_dirn, e->swap_filen);
-            /* XXX XXX XXX Will squid call storeUnlink for this object? */
+	    /* XXX XXX XXX Will squid call storeUnlink for this object? */
 	    return NULL;
 	}
-        /* Notify the upper levels that we've changed file number */
+	/* Notify the upper levels that we've changed file number */
 	sio->file_callback(sio->callback_data, 0, sio);
-        
-        /*
-         * lock the buffer so it doesn't get swapped out on us
-         * this will get unlocked in storeCossReadDone
-         */
-        storeCossMemBufLock(SD, sio);
-
-        /*
-         * Do the LRU magic to keep the disk and memory LRUs identical
-         */
-        dlinkDelete(&sio->e->repl.lru, &SD->repl.lru.list);
-        dlinkAdd(sio->e, &sio->e->repl.lru, &SD->repl.lru.list);
-
-        /*
-         * Since we've reallocated a spot for this object, we need to
-         * write it to the cossmembuf *and* return it in the read ..
-         */
-        cstate->readbuffer = NULL;
+
+	/*
+	 * lock the buffer so it doesn't get swapped out on us
+	 * this will get unlocked in storeCossReadDone
+	 */
+	storeCossMemBufLock(SD, sio);
+
+	/*
+	 * Do the index magic to keep the disk and memory LRUs identical
+	 */
+	storeCossRemove(SD, e);
+	storeCossAdd(SD, e);
+
+	/*
+	 * Since we've reallocated a spot for this object, we need to
+	 * write it to the cossmembuf *and* return it in the read ..
+	 */
+	cstate->readbuffer = NULL;
     }
     return sio;
 }
 
 void
-storeCossClose(SwapDir *SD, storeIOState * sio)
+storeCossClose(SwapDir * SD, storeIOState * sio)
 {
-    debug(81, 3) ("storeCossClose: offset %d\n",sio->swap_filen);
+    debug(81, 3) ("storeCossClose: offset %d\n", sio->swap_filen);
     if (sio->mode == O_WRONLY)
-        storeCossMemBufUnlock(SD, sio);
+	storeCossMemBufUnlock(SD, sio);
     storeCossIOCallback(sio, 0);
 }
 
 void
-storeCossRead(SwapDir *SD, storeIOState * sio, char *buf, size_t size, off_t offset, STRCB * callback, void *callback_data)
+storeCossRead(SwapDir * SD, storeIOState * sio, char *buf, size_t size, off_t offset, STRCB * callback, void *callback_data)
 {
     char *p;
-    CossState *cstate = (CossState *)sio->fsstate;
-    CossInfo *cs = (CossInfo *)SD->fsdata;
+    CossState *cstate = (CossState *) sio->fsstate;
+    CossInfo *cs = (CossInfo *) SD->fsdata;
 
     assert(sio->read.callback == NULL);
     assert(sio->read.callback_data == NULL);
@@ -267,43 +270,43 @@
     sio->offset = offset;
     cstate->flags.reading = 1;
     if ((offset + size) > sio->st_size)
-        size = sio->st_size - offset;
+	size = sio->st_size - offset;
     cstate->requestlen = size;
     cstate->requestbuf = buf;
     cstate->requestoffset = offset;
     if (cstate->readbuffer == NULL) {
-        p = storeCossMemPointerFromDiskOffset(SD, sio->swap_filen, NULL);
-        file_read(cs->fd,
+	p = storeCossMemPointerFromDiskOffset(SD, sio->swap_filen, NULL);
+	file_read(cs->fd,
 	    p,
 	    sio->st_size,
 	    cstate->reqdiskoffset,
 	    storeCossReadDone,
 	    sio);
-        cstate->reqdiskoffset = 0; /* XXX */
+	cstate->reqdiskoffset = 0;	/* XXX */
     } else {
-        storeCossReadDone(cs->fd,
-            cstate->readbuffer,
-            sio->st_size,
-            0,
-            sio);
-    }            
+	storeCossReadDone(cs->fd,
+	    cstate->readbuffer,
+	    sio->st_size,
+	    0,
+	    sio);
+    }
 }
 
 void
-storeCossWrite(SwapDir *SD, storeIOState * sio, char *buf, size_t size, off_t offset, FREE * free_func)
+storeCossWrite(SwapDir * SD, storeIOState * sio, char *buf, size_t size, off_t offset, FREE * free_func)
 {
     char *dest;
     CossMemBuf *membuf;
     off_t diskoffset;
-    
-    debug(81, 3) ("storeCossWrite: offset %d, len %d\n",sio->offset, size);
+
+    debug(81, 3) ("storeCossWrite: offset %d, len %d\n", sio->offset, size);
     diskoffset = sio->swap_filen + sio->offset;
     dest = storeCossMemPointerFromDiskOffset(SD, diskoffset, &membuf);
     assert(dest != NULL);
     memcpy(dest, buf, size);
     sio->offset += size;
     if (free_func)
-        (free_func)(buf);
+	(free_func) (buf);
 }
 
 
@@ -317,7 +320,7 @@
     STRCB *callback = sio->read.callback;
     void *their_data = sio->read.callback_data;
     SwapDir *SD = INDEXSD(sio->swap_dirn);
-    CossState *cstate = (CossState *)sio->fsstate;
+    CossState *cstate = (CossState *) sio->fsstate;
     size_t rlen;
 
     debug(81, 3) ("storeCossReadDone: fileno %d, FD %d, len %d\n",
@@ -325,18 +328,18 @@
     cstate->flags.reading = 0;
     if (errflag) {
 	debug(81, 3) ("storeCossReadDone: got failure (%d)\n", errflag);
-        rlen = -1;
+	rlen = -1;
     } else {
-        if (cstate->readbuffer == NULL) {
-            cstate->readbuffer = xmalloc(sio->st_size);
-            p = storeCossMemPointerFromDiskOffset(SD, sio->swap_filen, NULL);
-            memcpy(cstate->readbuffer, p, sio->st_size);
-            storeCossMemBufUnlock(SD, sio);
-        }
-        sio->offset += len;
-        memcpy(cstate->requestbuf, &cstate->readbuffer[cstate->requestoffset],
-          cstate->requestlen);
-        rlen = (size_t) cstate->requestlen;
+	if (cstate->readbuffer == NULL) {
+	    cstate->readbuffer = xmalloc(sio->st_size);
+	    p = storeCossMemPointerFromDiskOffset(SD, sio->swap_filen, NULL);
+	    memcpy(cstate->readbuffer, p, sio->st_size);
+	    storeCossMemBufUnlock(SD, sio);
+	}
+	sio->offset += len;
+	memcpy(cstate->requestbuf, &cstate->readbuffer[cstate->requestoffset],
+	    cstate->requestlen);
+	rlen = (size_t) cstate->requestlen;
     }
     assert(callback);
     assert(their_data);
@@ -350,7 +353,7 @@
 static void
 storeCossIOCallback(storeIOState * sio, int errflag)
 {
-    CossState *cstate = (CossState *)sio->fsstate;
+    CossState *cstate = (CossState *) sio->fsstate;
     debug(81, 3) ("storeCossIOCallback: errflag=%d\n", errflag);
     xfree(cstate->readbuffer);
     if (cbdataValid(sio->callback_data))
@@ -360,63 +363,63 @@
 }
 
 static char *
-storeCossMemPointerFromDiskOffset(SwapDir *SD, size_t offset, CossMemBuf **mb)
+storeCossMemPointerFromDiskOffset(SwapDir * SD, size_t offset, CossMemBuf ** mb)
 {
     CossMemBuf *t;
-    CossInfo *cs = (CossInfo *)SD->fsdata;
+    CossInfo *cs = (CossInfo *) SD->fsdata;
 
-    for (t=cs->membufs; t; t = t->next)
-        if ((offset >= t->diskstart) && (offset <= t->diskend)) {
-            if (mb)
-                *mb = t;
-            return &t->buffer[offset - t->diskstart];
-        }
+    for (t = cs->membufs; t; t = t->next)
+	if ((offset >= t->diskstart) && (offset <= t->diskend)) {
+	    if (mb)
+		*mb = t;
+	    return &t->buffer[offset - t->diskstart];
+	}
     if (mb)
-        *mb = NULL;
+	*mb = NULL;
     return NULL;
 }
 
 static void
-storeCossMemBufLock(SwapDir *SD, storeIOState *e)
+storeCossMemBufLock(SwapDir * SD, storeIOState * e)
 {
     CossMemBuf *t;
-    CossInfo *cs = (CossInfo *)SD->fsdata;
+    CossInfo *cs = (CossInfo *) SD->fsdata;
 
     for (t = cs->membufs; t; t = t->next)
-        if ((e->swap_filen >= t->diskstart) && (e->swap_filen <= t->diskend)) {
-            debug(81, 3) ("storeCossMemBufLock: locking %08X, lockcount %d\n",t, t->lockcount);
-            t->lockcount++;
-            return;
-        }
-    debug(81, 3) ("storeCossMemBufLock: FAILED to lock %08X\n",e);
+	if ((e->swap_filen >= t->diskstart) && (e->swap_filen <= t->diskend)) {
+	    debug(81, 3) ("storeCossMemBufLock: locking %08X, lockcount %d\n", t, t->lockcount);
+	    t->lockcount++;
+	    return;
+	}
+    debug(81, 3) ("storeCossMemBufLock: FAILED to lock %08X\n", e);
 }
 
 static void
-storeCossMemBufUnlock(SwapDir *SD, storeIOState *e)
+storeCossMemBufUnlock(SwapDir * SD, storeIOState * e)
 {
     CossMemBuf *t;
-    CossInfo *cs = (CossInfo *)SD->fsdata;
+    CossInfo *cs = (CossInfo *) SD->fsdata;
 
     for (t = cs->membufs; t; t = t->next) {
-        if ((e->swap_filen >= t->diskstart) && (e->swap_filen <= t->diskend)) {
-            t->lockcount--;
-            debug(81, 3) ("storeCossMemBufUnlock: unlocking %08X, lockcount %d\n",t, t->lockcount);
-        }
-        if (t->flags.full && !t->flags.writing && !t->lockcount) 
-            storeCossWriteMemBuf(SD, t);
+	if ((e->swap_filen >= t->diskstart) && (e->swap_filen <= t->diskend)) {
+	    t->lockcount--;
+	    debug(81, 3) ("storeCossMemBufUnlock: unlocking %08X, lockcount %d\n", t, t->lockcount);
+	}
+	if (t->flags.full && !t->flags.writing && !t->lockcount)
+	    storeCossWriteMemBuf(SD, t);
     }
 }
 
 
 static void
-storeCossWriteMemBuf(SwapDir *SD, CossMemBuf *t)
+storeCossWriteMemBuf(SwapDir * SD, CossMemBuf * t)
 {
-    CossInfo *cs = (CossInfo *)SD->fsdata;
+    CossInfo *cs = (CossInfo *) SD->fsdata;
     debug(81, 3) ("storeCossWriteMemBuf: offset %d, len %d\n",
 	t->diskstart, t->diskend - t->diskstart);
     cbdataAdd(t, storeCossMembufFree, 0);
     file_write(cs->fd, t->diskstart, &t->buffer,
-      t->diskend - t->diskstart, storeCossWriteMemBufDone, t, NULL);
+	t->diskend - t->diskstart, storeCossWriteMemBufDone, t, NULL);
     t->flags.writing = 1;
 }
 
@@ -425,45 +428,45 @@
 storeCossWriteMemBufDone(int fd, int errflag, size_t len, void *my_data)
 {
     CossMemBuf *t = my_data;
-    CossMemBuf *p,*prev;
-    CossInfo *cs = (CossInfo *)t->SD->fsdata;
+    CossMemBuf *p, *prev;
+    CossInfo *cs = (CossInfo *) t->SD->fsdata;
 
-    debug(81, 3) ("storeCossWriteMemBufDone: len %d\n",len);
+    debug(81, 3) ("storeCossWriteMemBufDone: len %d\n", len);
     if (errflag) {
 	debug(81, 0) ("storeCossMemBufWriteDone: got failure (%d)\n", errflag);
-        cbdataFree(t);
+	cbdataFree(t);
 	return;
     }
-
     if (t == cs->membufs) {
-        cs->membufs = t->next;
-        cbdataFree(t);
-        return;
+	cs->membufs = t->next;
+	cbdataFree(t);
+	return;
     }
     prev = t;
     for (p = cs->membufs; p; p = p->next) {
-        if (t == p) {
-            prev->next = t->next;
-            cbdataFree(t);
-            return;
-        }
-        prev = p;
-    }    
+	if (t == p) {
+	    prev->next = t->next;
+	    cbdataFree(t);
+	    return;
+	}
+	prev = p;
+    }
     cbdataFree(t);
 }
 
-static CossMemBuf *storeCossCreateMemBuf(SwapDir *SD, size_t start,
-  sfileno curfn, int *collision)
+static CossMemBuf *
+storeCossCreateMemBuf(SwapDir * SD, size_t start,
+    sfileno curfn, int *collision)
 {
-    CossMemBuf *newmb,*t;
+    CossMemBuf *newmb, *t;
     StoreEntry *e;
-    dlink_node *m,*prev;
-    int numreleased=0;
-    CossInfo *cs = (CossInfo *)SD->fsdata;
+    dlink_node *m, *prev;
+    int numreleased = 0;
+    CossInfo *cs = (CossInfo *) SD->fsdata;
 
     newmb = memPoolAlloc(coss_membuf_pool);
     newmb->diskstart = start;
-    debug(81, 3) ("storeCossCreateMemBuf: creating new membuf at %d\n",newmb->diskstart);
+    debug(81, 3) ("storeCossCreateMemBuf: creating new membuf at %d\n", newmb->diskstart);
     newmb->diskend = newmb->diskstart + COSS_MEMBUF_SZ - 1;
     newmb->flags.full = 0;
     newmb->flags.writing = 0;
@@ -471,27 +474,27 @@
     newmb->SD = SD;
     newmb->next = cs->membufs;
     cs->membufs = newmb;
-    for (t = cs->membufs; t; t = t->next) 
-        debug(81, 3) ("storeCossCreateMemBuf: membuflist %d lockcount %d\n",t->diskstart,t->lockcount);
+    for (t = cs->membufs; t; t = t->next)
+	debug(81, 3) ("storeCossCreateMemBuf: membuflist %d lockcount %d\n", t->diskstart, t->lockcount);
 
     /*
-     * XXX more evil LRU specific code. This needs to be replaced.
+     * Kill objects from the tail to make space for a new chunk
      */
-    for (m = SD->repl.lru.list.tail; m; m = prev) {
-        prev = m->prev;
-        e = m->data;
-        if (curfn == e->swap_filen)
-            *collision = 1; /* Mark an object alloc collision */
-        if ((e->swap_filen >= newmb->diskstart) &&
-          (e->swap_filen <= newmb->diskend)) {
-            storeRelease(e);
-            numreleased++;         
-        } else
-            break;    
+    for (m = cs->index.tail; m; m = prev) {
+	prev = m->prev;
+	e = m->data;
+	if (curfn == e->swap_filen)
+	    *collision = 1;	/* Mark an object alloc collision */
+	if ((e->swap_filen >= newmb->diskstart) &&
+	    (e->swap_filen <= newmb->diskend)) {
+	    storeRelease(e);
+	    numreleased++;
+	} else
+	    break;
     }
     if (numreleased > 0)
-       debug(81, 3) ("storeCossCreateMemBuf: this allocation released %d storeEntries\n",numreleased);
-    return newmb; 
+	debug(81, 3) ("storeCossCreateMemBuf: this allocation released %d storeEntries\n", numreleased);
+    return newmb;
 }
 
 /*
@@ -501,8 +504,8 @@
 static void
 storeCossIOFreeEntry(void *sio, int foo)
 {
-        memPoolFree(coss_state_pool, ((storeIOState *)sio)->fsstate);
-        memFree(sio, MEM_STORE_IO);
+    memPoolFree(coss_state_pool, ((storeIOState *) sio)->fsstate);
+    memFree(sio, MEM_STORE_IO);
 }
 
 /*
@@ -515,4 +518,3 @@
 {
     memPoolFree(coss_membuf_pool, mb);
 }
-
